uk.gov.hmrc.objectstore.client.play

# PlayObjectStoreContentWrites

###
Related Docs: trait PlayObjectStoreContentWrites | package play

#### object PlayObjectStoreContentWrites extends PlayObjectStoreContentWrites

Linear Supertypes
PlayObjectStoreContentWrites, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayObjectStoreContentWrites
2. PlayObjectStoreContentWrites
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### implicit def akkaSourceContentWrite[Mat](implicit ec: ExecutionContext, m: Materializer): ObjectStoreContentWrite[Future, Source[ByteString, Mat], Request]

   Definition Classes
     PlayObjectStoreContentWrites

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### implicit lazy val bytesWrite: ObjectStoreContentWrite[Future, Array[Byte], Request]

   Definition Classes
     PlayObjectStoreContentWrites

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### implicit val fileWrite: ObjectStoreContentWrite[Future, File, Request]

    Definition Classes
      PlayObjectStoreContentWrites

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### implicit def payloadAkkaSourceContentWrite[Mat]: ObjectStoreContentWrite[Future, Payload[Source[ByteString, Mat]], Request]

    Definition Classes
      PlayObjectStoreContentWrites

19. #### implicit lazy val stringWrite: ObjectStoreContentWrite[Future, String, Request]

    Definition Classes
      PlayObjectStoreContentWrites

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from PlayObjectStoreContentWrites

### Inherited from AnyRef

### Inherited from Any

### Ungrouped